<template>
  <div class="relative flex flex-col w-full pb-4 rounded-lg">
    <table>
      <thead>
        <tr
          class="
            bg-gray-50
            text-xs
            font-medium
            leading-4
            tracking-wider
            text-gray-500
            uppercase
            border-b border-gray-200
          "
        >
          <th class="py-3 px-6 text-left">Task title</th>
          <th>Members</th>
          <th>Estimate</th>
          <th class="text-left">Status</th>
        </tr>
      </thead>

      <VueDraggableNext
        item-key="id"
        ghost-class="bg-blue-50"
        group="projects"
        tag="tbody"
        :animation="200"
        @change="movedElement"
        @update="update"
      >
        <tr
          v-for="element in list"
          :key="element.id"
          class="
            last:border-0
            text-sm
            font-normal
            leading-8
            text-gray-700
            border-b border-gray-200
          "
        >
          <td class="px-6 py-5">{{ element.name }}</td>
          <td align="center" width="17%">
            <div class="w-10 h-10 bg-gray-200 rounded-full"></div>
          </td>
          <td align="center" width="27%">
            <div
              class="w-max px-4 text-gray-400 border border-gray-100 rounded"
            >
              {{ element.estimate }} hour
            </div>
          </td>
          <td width="17%" class="pr-4">
            <select
              name="statuses"
              id="statuses"
              class="w-full px-3 bg-white border border-gray-100 rounded"
            >
              <option
                v-for="status in statuses"
                :key="status"
                :value="status"
                :selected="element.status === status"
              >
                <div
                  class="
                    text-xs
                    font-medium
                    leading-4
                    text-blue-800
                    bg-blue-100
                    rounded-lg
                  "
                >
                  {{ status }}
                </div>
              </option>
            </select>
          </td>
        </tr>
      </VueDraggableNext>
    </table>
  </div>
</template>
<script>
import { VueDraggableNext } from 'vue-draggable-next';

// import IconEllipsis from '@/components/Icons/IconEllipsis';
// import IconClock from '@/components/Icons/IconClock';
// import IconChat from '@/components/Icons/IconChat';
// import IconClip from '@/components/Icons/IconClip';

export default {
  name: 'DraggableList',

  components: {
    VueDraggableNext,
    // IconEllipsis,
    // IconClock,
    // IconChat,
    // IconClip,
  },

  props: {
    list: {
      type: Array,
      required: true,
    },

    statuses: {
      type: Array,
      required: true,
    },
  },

  methods: {
    movedElement(element) {
      console.log('element', element);
    },

    update() {
      console.log('update');
    },
  },
};
</script>
